<%#
Copyright 2011-2023, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>
<%# The containers for the links need to be defined by the calling partial %>
<% if user_signed_in? %>
<div class="mb-3">
  <div class="msul-user-key pb-2">
    <%= user_key %>
  </div>
</div>
<%= link_to t('auth.sign_out'), main_app.destroy_user_session_path, :class => "msul-btn-secondary msul-background-white" %>
<% else %>
<%= link_to t('auth.sign_in'), main_app.new_user_session_path, :class => "btn btn-info" %>
<% end %>
